﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using System.Drawing;
using Infragistics.Win.FormattedLinkLabel;
using System.Diagnostics;

namespace WTM_RibbonSettings
{
    class CustomCreationFilter : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is ImageAndTextUIElementEx)
            {
                NavigationMenuAreaUIElement area =  parent.GetAncestor
                    (typeof(NavigationMenuAreaUIElement)) as NavigationMenuAreaUIElement;
                if ( area != null)
                {
                    var textUIELement = area.GetDescendant(typeof(TextUIElement)) as TextUIElement;
                    if (textUIELement != null && String.IsNullOrEmpty(textUIELement.Text))
                    {
                        textUIELement.Parent.ChildElements.Remove(textUIELement);
                        var rect = parent.Rect;
                        parent.Rect = new Rectangle(area.Rect.Width / 2 - rect.Width /2, rect.Y
                             , rect.Width, rect.Height);
                    }
                }
            }
            
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            if (parent is RibbonTabPageShadowUIElement)
            {
                parent.Parent.ChildElements.Remove(parent);
                return true;
            }
            return false;
        }
    }
}
